Bug Hunting Session
Bug 105625 - Positions just before and just after fields (like FORMCHECKBOX) are read-only, disallowing removal of the field
Summary: Positions just before and just after fields (like FORMCHECKBOX) are read-only...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-30 21:31 UTC by Mike Kaganski
Modified: 2017-07-11 10:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A document with single checkbox (8.77 KB, application/vnd.oasis.opendocument.text)
2017-01-30 21:31 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-01-30 21:31:51 UTC
Created attachment 130772 [details]
A document with single checkbox

In attached document, there is just a single checkbox field between two spaces. No protection is used in the document. It demonstrates the problem: positions around the field are read-only in current master, as well as in LO 5.3.0.3. This prevents from removing the field using backspace or delete keys, if you don't previously select over the line.

When such a field is alone in a table cell, or first/last in a document, then removing it is even harder.

This works OK in OOo/AOO.
Comment 1 Mike Kaganski 2017-01-30 21:39:42 UTC
A patch is submitted for review: https://gerrit.libreoffice.org/33722
Comment 2 Commit Notification 2017-01-31 15:34:23 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f72b866c9cf4f07fce6744fbf482c4c6488106e2

tdf#105625: allow editing around field marks

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-02-01 14:07:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c34fc4520dfee4ca068f249ee0756dacaa7a60cf

tdf#105625 related: also check selection across field boundaries

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-01 22:26:07 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af42aab836626fdf7b29921dff5d344a8b0e47c6

tdf#105625: Allow Delete/Backspace to delete whole fieldmark

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-02-02 08:52:21 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c484c5532a9508606d65dfbb805163cd00178f4c

tdf#105625 related: fix pointer variable prefix

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-10 08:49:07 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4036d3a89b65a4912f62e3930eb1a31cd90a16b

tdf#105625 related: don't duplicate dummy character on copy

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Cor Nouws 2017-07-11 10:25:00 UTC
verified in Version: 6.0.0.0.alpha0+
Build ID: 959be1b5a9cd522394dba9366686a1256588223b
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-11_00:18:59
Locale: nl-NL (nl_NL.UTF-8); Calc: group

thanks for fixing!